Bug 834783 - [abrt] pulseaudio-1.1-9.fc17: __GI_raise: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-1.1-9.fc17: __GI_raise: Process /usr/bin/pulseaudio was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:79e96cd34b605196a9ef4f34747...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 11:08 EDT by dhwnoble
Modified: 2013-07-31 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.05 KB, text/plain)
2012-06-23 11:08 EDT, dhwnoble
no flags Details
File: maps (37.14 KB, text/plain)
2012-06-23 11:08 EDT, dhwnoble
no flags Details
File: dso_list (7.48 KB, text/plain)
2012-06-23 11:08 EDT, dhwnoble
no flags Details
File: var_log_messages (11.40 KB, text/plain)
2012-06-23 11:09 EDT, dhwnoble
no flags Details

  None (edit)
Description dhwnoble 2012-06-23 11:08:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: __GI_raise
executable:     /usr/bin/pulseaudio
kernel:         3.4.3-1.fc17.x86_64
pid:            1454
pwd:            /
time:           Sat 23 Jun 2012 03:52:54 PM BST
uid:            1000
xsession_errors: 

backtrace:      Text file, 21555 bytes
dso_list:       Text file, 7661 bytes
maps:           Text file, 38031 bytes
var_log_messages: Text file, 11671 bytes

build_ids:
:f58f7f7a0f2c00780839246fd972e56e971e27d8
:ecd783c61869b684808fff24f07455118dd70078
:5dbf2ac9d2a9b14b370b629a80ef88d40a7d6a8e
:cb2bfd051d51e456570e39e8818549abfb62b35b
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:458118a56e4684bd51c51aee74e26a15161da7e3
:b6d75088f555d197be1476cb1c580640826ae029
:0339e448510e66ad611e6f5df08565db4fe4bc23
:636ea13e100bf8f44b38c4a4dec02d771ee43ae1
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8e4b8ae40adeb421b8b7862b733a4cb5160eb99
:bbf013a606bdd5c4f69869ded932dd62c9f791a6
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:7716bc5c1738194dad6ec6679d05ae3782139288
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:fc25002385bcc34d03c61bf6fdea01f4ddc8cd45
:34dca89f58a9de1f9fcb5877e7a3993ee3dd22a4
:776f9a0bd7439fa7e7b27b8e0deea5bfcfbe32c7
:722c9ed52554e2bebe8e0720d7a1e8a3b3b4d608
:c9a6afe0be824f04d58b71f93470d3c57cc5c08a
:ad0b005e5baa41542b242c3f55945b6326064308
:f39b2eb72ba6d0529354e4594bed6a58cb561d54
:318ff47751c8144098e1808396ab73dd48c1e7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6947e315f0765bf884ecc222d91945a1e2ed8767
:d3d9ae819e7bff0255ca3dfe00fe235824b3b43c
:3ec4435f9e6185134a6f36b3e3f56ff2cafc05d9
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:edad49230923d07f38eaae337455a0d56f535f11
:e7f20e5bf66089846eee1e403cac18751e43d7f2
:127f8958b602715234a02b88adb08afd9e34c203
:8daf9038db708f8a17c23a7e146648e4c024c494
:54a4a5cb60ac6c40e2759249ff91e8825415c585
:f64b7319b84d426ed547084bdb2577f4f596c18f
:516204cfc31148538d56b21e2f1b945ed50127d4
:b7122f521c1b712478d29aaf9083f40906ff469b
:7b2764ec751ee57e9ba0827d2b16039549841179
:7c9293ad30e1db4087dc11b2b69f1233db2fe6c1
:2e6a595ccb0b1ecfd4c6807f59ed381cfdcfce4d
:3d60535f052babb998bae4807bc992c5d15df5c4
:73777e822e00ca152ffca281ab0ace0cb498ec48
:520cdc0c8804781d4f8c5232f47f80212ddb0998
:0bde4541c1f3291dd5baa58df40db3cf85d6e8bd
:28e56736a25c1852239752a7dc9e80bbf7d61148
:51d2c9c69fb2b13929ae96814695508acf088dc4
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8891b423b6fb8b6332874ef2be172b62f06a5f1c
:d7e5d38f9f7f9846f7bc7f84ef5e4eee06a911ad
:37394c3e5387e54ffd664c598ce4f827e56776b1
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:4d09d82785dab5f95c01b69bc0785145a5954d30
:43ffc08effa6346624c63c87ad5952e1c51b8347
:f0c11d6720031545fdffbdbf15c7407b5b750683
:877685c5afa0faf0e43ad65f21587f699edcc04d
:72853ac938f8470014500595758a2bd8d463e7fc
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:d804f8ee47797da9213a92f00cd095ecada8d79f
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:c04e3ad0de8fc185c025a37185c8992eefb739ca
:d98dccbcbaed0a412af62c2a73bbaff69c46c00a
:a4cac811685cc21307abd0dc5fd52aecca121e23
:e91010b497ec024178c36f4365b21f668bada0ca
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:fffb0e6dd2f8decf1f14d81c35f1ec36182ae915
:fd7ccd6a0e42c97d073b6813f3f80576ebf65dfc
:1d4df97fa6024b097b634a272447243c95c26d85
:4a9b55f7c7237cc9f88de5cbb1689eb4d59d4d28
:130699b76d99d57ef46beeed9d693005f3c8917f
:ede1569bf6cee705037bc71a0d0adda6a3078b7a
:247132297f287226a24c12e683292f5c94013066
:c6ed07cc885a416e0092bd2d9a6e86ce27d6fead
:186c5a48196e372f1933d93c21dc9cebb54e4b47
:05b867136d60497586c957bb374ebb56ea205f3e
:af945724af42823d8f3ee175768dcb912e3c25a0

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/dominic/2

comment:
:How to reproduce:
:1. Using the "pacmd" console command, make one or more null audio sinks and/or loopbacks.
:2. Make the null audio sinks and/or loopbacks active. That is, actually have some audio going to the null audio sinks and have the loopbacks looping some audio to somewhere else.
:3. Wait anything from mere minutes to hours.
:It is ALWAYS reproducable using this method. The maximum time I have done this and not had it crash is 2 hours.

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x2d1c9 pa_memblockq_push libpulsecommon-1.1.so -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x2e232 pa_memblockq_push_align libpulsecommon-1.1.so -
:f0c11d6720031545fdffbdbf15c7407b5b750683 0x3818 - module-loopback.so -
:a4cac811685cc21307abd0dc5fd52aecca121e23 0x32d62 - libpulsecore-1.1.so -
:a4cac811685cc21307abd0dc5fd52aecca121e23 0x322ba pa_rtpoll_run libpulsecore-1.1.so -
:37394c3e5387e54ffd664c598ce4f827e56776b1 0x1fee1 - libalsa-util.so -
:458118a56e4684bd51c51aee74e26a15161da7e3 0x43343 - libpulsecommon-1.1.so -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1169
:XDG_SESSION_ID=2
:HOSTNAME=lyra
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/dominic/.gtkrc-2.0:/home/dominic/.gtkrc-2.0-kde4:/home/dominic/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/dominic/keyring-VNvnnA
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=dominic
:SSH_AUTH_SOCK=/tmp/ssh-HZkADexi1042/agent.1042
:USERNAME=dominic
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/dominic/.local/bin:/home/dominic/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/dominic
:QT_IM_MODULE=xim
:PWD=/home/dominic
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1038
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/dominic
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=dominic
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bwdOjaS5oW,guid=d66eb136e5478335264d3c4a00000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dominic
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/dominic/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-dominic/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1285,unix/unix:/tmp/.ICE-unix/1285
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/dominic/.gtkrc:/home/dominic/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:LANGUAGE=
:LD_BIND_NOW=1

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63584                processes 
:Max open files            256                  256                  files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63584                63584                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      1000000              1000000              us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[25608]
:pos:	0
:flags:	02004002
:4:socket:[19016]
:pos:	0
:flags:	02004002
:5:pipe:[23626]
:pos:	0
:flags:	02004000
:6:pipe:[23626]
:pos:	0
:flags:	02004001
:7:pipe:[23628]
:pos:	0
:flags:	02004000
:8:pipe:[23628]
:pos:	0
:flags:	02004001
:9:socket:[24600]
:pos:	0
:flags:	02004002
:10:/home/dominic/.pulse/7d9c1677d08176ad65b589ea0000000c-device-volumes.tdb
:pos:	168
:flags:	02100002
:11:/home/dominic/.pulse/7d9c1677d08176ad65b589ea0000000c-stream-volumes.tdb
:pos:	168
:flags:	02100002
:12:/home/dominic/.pulse/7d9c1677d08176ad65b589ea0000000c-card-database.tdb
:pos:	168
:flags:	02100002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:socket:[23629]
:pos:	0
:flags:	02004002
:15:socket:[23631]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:20:socket:[22705]
:pos:	0
:flags:	02004002
:21:socket:[22098]
:pos:	0
:flags:	02004002
:22:/dev/snd/controlC0
:pos:	0
:flags:	02104002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:27:/dev/snd/controlC0
:pos:	0
:flags:	02104002
:28:/home/dominic/.pulse/7d9c1677d08176ad65b589ea0000000c-device-manager.tdb
:pos:	168
:flags:	02100002
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:30:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:32:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:33:/dev/snd/controlC2
:pos:	0
:flags:	02104002
:34:socket:[21156]
:pos:	0
:flags:	02004002
:35:socket:[19014]
:pos:	0
:flags:	02004002
:36:socket:[21093]
:pos:	0
:flags:	02000002
:37:socket:[21095]
:pos:	0
:flags:	02000002
:38:socket:[23635]
:pos:	0
:flags:	02004002
:39:socket:[66648]
:pos:	0
:flags:	02004002
:40:socket:[66705]
:pos:	0
:flags:	02000002
:41:socket:[19085]
:pos:	0
:flags:	02000002
:42:/dev/snd/controlC0
:pos:	0
:flags:	02100002
:43:socket:[21239]
:pos:	0
:flags:	02000002
:44:socket:[24767]
:pos:	0
:flags:	02004002
:45:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:46:/dev/snd/pcmC0D0p
:pos:	0
:flags:	02104002
:47:/dev/snd/pcmC0D0c
:pos:	0
:flags:	02104002
:48:socket:[62413]
:pos:	0
:flags:	02004002
:49:/dev/snd/pcmC2D0c
:pos:	0
:flags:	02104002
:50:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:51:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:52:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:53:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:54:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:55:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:56:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:57:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:58:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:59:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:60:anon_inode:[eventfd]
:pos:	0
:flags:	02000002

smolt_data:
:
:
:General
:=================================
:UUID: 7f08e095-f290-4d4d-8de1-99f61820b3c0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6784.57
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 7969
:System Swap: 10015
:Vendor: Dell Inc.
:System: XPS 8300 
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5777:4136:1194) pci, tg3, ETHERNET, XPS 8300
:(32902:7202:4136:1194) pci, i801_smbus, SERIAL, XPS 8300
:(32902:7190:4136:1194) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1194) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7242:4136:1194) pci, None, PCI/ISA, XPS 8300
:(4318:3525:4318:2139) pci, nvidia, VIDEO, N/A
:(32902:7200:4136:1194) pci, snd_hda_intel, MULTIMEDIA, XPS 8300
:(4318:3049:4318:2139) pci, snd_hda_intel, MULTIMEDIA, GF106 High Definition Audio Controller
:(5348:17235:4136:14) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(32902:7170:4136:1194) pci, ahci, STORAGE, XPS 8300
:(32902:7213:4136:1194) pci, ehci_hcd, USB, XPS 8300
:(32902:7206:4136:1194) pci, ehci_hcd, USB, XPS 8300
:(32902:256:4136:1194) pci, None, HOST/PCI, XPS 8300
:(32902:7226:4136:1194) pci, None, SIMPLE, XPS 8300
:(32902:257:4136:1194) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_lyra-lv_root / ext4 4096 4096 7845335 5464198 5070982 1966080 1698084 1698084
:/dev/sda1 /boot ext4 1024 1024 508644 399019 373419 128016 127667 127667
:/dev/mapper/vg_lyra-lv_home /home ext4 4096 4096 201642218 162725295 152632342 50470912 50426888 50426888
:
Comment 1 dhwnoble 2012-06-23 11:08:56 EDT
Created attachment 593910 [details]
File: backtrace
Comment 2 dhwnoble 2012-06-23 11:08:58 EDT
Created attachment 593911 [details]
File: maps
Comment 3 dhwnoble 2012-06-23 11:08:59 EDT
Created attachment 593912 [details]
File: dso_list
Comment 4 dhwnoble 2012-06-23 11:09:01 EDT
Created attachment 593913 [details]
File: var_log_messages
Comment 5 Fedora End Of Life 2013-07-03 19:58:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:09:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.